#include "jpegdecoder.h"

JpegDecoder::JpegDecoder(const QByteArray &jpeg, const QPoint &position, const QSize &size) :
    m_jpeg(jpeg), m_position(position), m_size(size)
{
}

void JpegDecoder::run()
{
    m_image.loadFromData(m_jpeg, "JPG");
    emit finished(m_image, m_position, m_size);
}
