#include <QGuiApplication>
#include <QtQml>
#include <QQmlApplicationEngine>

#include "qvnc.h"

int main(int argc, char *argv[])
{
    QGuiApplication::setAttribute(Qt::AA_UseOpenGLES);
    QGuiApplication::setAttribute(Qt::AA_ShareOpenGLContexts);

    QGuiApplication app(argc, argv);

    qmlRegisterType<QVnc>("thinclient", 1, 1, "QVnc");
    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}

