import QtQuick 2.6
import QtQuick.Controls 2.0
import thinclient 1.1

ApplicationWindow {
    visible: true
    width: 640
    height: 480

    header: TabBar {
        width: parent.width
        TabButton {
            text: qsTr("Open connection")
            onClicked: vnc.open()
        }
        TabButton {
            text: qsTr("Terminate connection")
            onClicked: vnc.terminate()
        }
        TabButton {
            text: qsTr("Quit application")
        }
    }

    QVnc {
        id: vnc
        host: "vm.ik.bme.hu"
        port: 10495
        width: 1024
        height: 768
    }
}
